sim: hw: rework configure option & device selection
[binutils-gdb.git] / sim / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 1993-2021 Free Software Foundation, Inc.
19 #
20 # This program is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program. If not, see <http://www.gnu.org/licenses/>.
32
33 #
34 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
35 #
36 # This program is free software; you can redistribute it and/or modify
37 # it under the terms of the GNU General Public License as published by
38 # the Free Software Foundation; either version 3 of the License, or
39 # (at your option) any later version.
40 #
41 # This program is distributed in the hope that it will be useful,
42 # but WITHOUT ANY WARRANTY; without even the implied warranty of
43 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
44 # GNU General Public License for more details.
45 #
46 # You should have received a copy of the GNU General Public License
47 # along with this program. If not, see <http://www.gnu.org/licenses/>.
48
49 # Parts of the common/ sim code that have been unified.
50 # Most still lives in common/Make-common.in.
51
52 # The IGEN simulator generator for GDB, the GNU Debugger.
53 #
54 # Copyright 2002-2021 Free Software Foundation, Inc.
55 #
56 # Contributed by Andrew Cagney.
57 #
58 # This file is part of GDB.
59 #
60 # This program is free software; you can redistribute it and/or modify
61 # it under the terms of the GNU General Public License as published by
62 # the Free Software Foundation; either version 3 of the License, or
63 # (at your option) any later version.
64 #
65 # This program is distributed in the hope that it will be useful,
66 # but WITHOUT ANY WARRANTY; without even the implied warranty of
67 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
68 # GNU General Public License for more details.
69 #
70 # You should have received a copy of the GNU General Public License
71 # along with this program. If not, see <http://www.gnu.org/licenses/>.
72
73 #
74 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
75 #
76 # This program is free software; you can redistribute it and/or modify
77 # it under the terms of the GNU General Public License as published by
78 # the Free Software Foundation; either version 3 of the License, or
79 # (at your option) any later version.
80 #
81 # This program is distributed in the hope that it will be useful,
82 # but WITHOUT ANY WARRANTY; without even the implied warranty of
83 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
84 # GNU General Public License for more details.
85 #
86 # You should have received a copy of the GNU General Public License
87 # along with this program. If not, see <http://www.gnu.org/licenses/>.
88
89 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
90 #
91 # This program is free software; you can redistribute it and/or modify
92 # it under the terms of the GNU General Public License as published by
93 # the Free Software Foundation; either version 3 of the License, or
94 # (at your option) any later version.
95 #
96 # This program is distributed in the hope that it will be useful,
97 # but WITHOUT ANY WARRANTY; without even the implied warranty of
98 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
99 # GNU General Public License for more details.
100 #
101 # You should have received a copy of the GNU General Public License
102 # along with this program. If not, see <http://www.gnu.org/licenses/>.
103
104
105 VPATH = @srcdir@
106 am__is_gnu_make = { \
107 if test -z '$(MAKELEVEL)'; then \
108 false; \
109 elif test -n '$(MAKE_HOST)'; then \
110 true; \
111 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
112 true; \
113 else \
114 false; \
115 fi; \
116 }
117 am__make_running_with_option = \
118 case $${target_option-} in \
119 ?) ;; \
120 *) echo "am__make_running_with_option: internal error: invalid" \
121 "target option '$${target_option-}' specified" >&2; \
122 exit 1;; \
123 esac; \
124 has_opt=no; \
125 sane_makeflags=$$MAKEFLAGS; \
126 if $(am__is_gnu_make); then \
127 sane_makeflags=$$MFLAGS; \
128 else \
129 case $$MAKEFLAGS in \
130 *\\[\ \ ]*) \
131 bs=\\; \
132 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
133 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
134 esac; \
135 fi; \
136 skip_next=no; \
137 strip_trailopt () \
138 { \
139 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
140 }; \
141 for flg in $$sane_makeflags; do \
142 test $$skip_next = yes && { skip_next=no; continue; }; \
143 case $$flg in \
144 *=*|--*) continue;; \
145 -*I) strip_trailopt 'I'; skip_next=yes;; \
146 -*I?*) strip_trailopt 'I';; \
147 -*O) strip_trailopt 'O'; skip_next=yes;; \
148 -*O?*) strip_trailopt 'O';; \
149 -*l) strip_trailopt 'l'; skip_next=yes;; \
150 -*l?*) strip_trailopt 'l';; \
151 -[dEDm]) skip_next=yes;; \
152 -[JT]) skip_next=yes;; \
153 esac; \
154 case $$flg in \
155 *$$target_option*) has_opt=yes; break;; \
156 esac; \
157 done; \
158 test $$has_opt = yes
159 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
160 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
161 pkgdatadir = $(datadir)/@PACKAGE@
162 pkgincludedir = $(includedir)/@PACKAGE@
163 pkglibdir = $(libdir)/@PACKAGE@
164 pkglibexecdir = $(libexecdir)/@PACKAGE@
165 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166 install_sh_DATA = $(install_sh) -c -m 644
167 install_sh_PROGRAM = $(install_sh) -c
168 install_sh_SCRIPT = $(install_sh) -c
169 INSTALL_HEADER = $(INSTALL_DATA)
170 transform = $(program_transform_name)
171 NORMAL_INSTALL = :
172 PRE_INSTALL = :
173 POST_INSTALL = :
174 NORMAL_UNINSTALL = :
175 PRE_UNINSTALL = :
176 POST_UNINSTALL = :
177 build_triplet = @build@
178 host_triplet = @host@
179 target_triplet = @target@
180 check_PROGRAMS = $(am__EXEEXT_3)
181 EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \
182 testsuite/common/fpu-tst$(EXEEXT)
183
184 # This makes sure igen is available before building the arch-subdirs which
185 # need to run the igen tool.
186 @SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/igen$(EXEEXT)
187 @SIM_ENABLE_IGEN_TRUE@am__append_2 = igen/libigen.a
188 @SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS)
189 @SIM_ENABLE_IGEN_TRUE@am__append_4 = $(igen_IGEN_TOOLS)
190 TESTS = testsuite/common/bits32m0$(EXEEXT) \
191 testsuite/common/bits32m31$(EXEEXT) \
192 testsuite/common/bits64m0$(EXEEXT) \
193 testsuite/common/bits64m63$(EXEEXT) \
194 testsuite/common/alu-tst$(EXEEXT)
195 subdir = .
196 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
197 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
198 $(top_srcdir)/../config/depstand.m4 \
199 $(top_srcdir)/../config/gettext-sister.m4 \
200 $(top_srcdir)/../config/lead-dot.m4 \
201 $(top_srcdir)/../config/override.m4 \
202 $(top_srcdir)/../config/plugins.m4 \
203 $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/../libtool.m4 \
204 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
205 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
206 $(top_srcdir)/m4/sim_ac_option_alignment.m4 \
207 $(top_srcdir)/m4/sim_ac_option_assert.m4 \
208 $(top_srcdir)/m4/sim_ac_option_cgen_maint.m4 \
209 $(top_srcdir)/m4/sim_ac_option_debug.m4 \
210 $(top_srcdir)/m4/sim_ac_option_endian.m4 \
211 $(top_srcdir)/m4/sim_ac_option_environment.m4 \
212 $(top_srcdir)/m4/sim_ac_option_inline.m4 \
213 $(top_srcdir)/m4/sim_ac_option_profile.m4 \
214 $(top_srcdir)/m4/sim_ac_option_stdio.m4 \
215 $(top_srcdir)/m4/sim_ac_option_trace.m4 \
216 $(top_srcdir)/m4/sim_ac_option_warnings.m4 \
217 $(top_srcdir)/m4/sim_ac_platform.m4 \
218 $(top_srcdir)/m4/sim_ac_toolchain.m4 \
219 $(top_srcdir)/configure.ac
220 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
221 $(ACLOCAL_M4)
222 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
223 $(am__configure_deps) $(pkginclude_HEADERS)
224 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
225 configure.lineno config.status.lineno
226 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
227 CONFIG_HEADER = config.h
228 CONFIG_CLEAN_FILES = arch-subdir.mk
229 CONFIG_CLEAN_VPATH_FILES =
230 LIBRARIES = $(noinst_LIBRARIES)
231 ARFLAGS = cru
232 AM_V_AR = $(am__v_AR_@AM_V@)
233 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
234 am__v_AR_0 = @echo " AR " $@;
235 am__v_AR_1 =
236 common_libcommon_a_AR = $(AR) $(ARFLAGS)
237 common_libcommon_a_LIBADD =
238 am__dirstamp = $(am__leading_dot)dirstamp
239 am_common_libcommon_a_OBJECTS = \
240 common/common_libcommon_a-portability.$(OBJEXT) \
241 common/common_libcommon_a-sim-load.$(OBJEXT) \
242 common/common_libcommon_a-version.$(OBJEXT)
243 common_libcommon_a_OBJECTS = $(am_common_libcommon_a_OBJECTS)
244 igen_libigen_a_AR = $(AR) $(ARFLAGS)
245 igen_libigen_a_LIBADD =
246 @SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \
247 @SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \
248 @SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \
249 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \
250 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \
251 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \
252 @SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \
253 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \
254 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \
255 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \
256 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \
257 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \
258 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \
259 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \
260 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \
261 @SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT)
262 igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS)
263 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \
264 @SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \
265 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \
266 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \
267 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \
268 @SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT)
269 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
270 am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \
271 testsuite/common/bits32m31$(EXEEXT) \
272 testsuite/common/bits64m0$(EXEEXT) \
273 testsuite/common/bits64m63$(EXEEXT) \
274 testsuite/common/alu-tst$(EXEEXT)
275 am_igen_filter_OBJECTS =
276 igen_filter_OBJECTS = $(am_igen_filter_OBJECTS)
277 @SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \
278 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
279 AM_V_lt = $(am__v_lt_@AM_V@)
280 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
281 am__v_lt_0 = --silent
282 am__v_lt_1 =
283 am_igen_gen_OBJECTS =
284 igen_gen_OBJECTS = $(am_igen_gen_OBJECTS)
285 @SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \
286 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
287 @SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT)
288 igen_igen_OBJECTS = $(am_igen_igen_OBJECTS)
289 @SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a
290 am_igen_ld_cache_OBJECTS =
291 igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS)
292 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \
293 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a
294 am_igen_ld_decode_OBJECTS =
295 igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS)
296 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \
297 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a
298 am_igen_ld_insn_OBJECTS =
299 igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS)
300 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \
301 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
302 am_igen_table_OBJECTS =
303 igen_table_OBJECTS = $(am_igen_table_OBJECTS)
304 @SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \
305 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
306 testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c
307 testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT)
308 testsuite_common_alu_tst_LDADD = $(LDADD)
309 testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c
310 testsuite_common_bits_gen_OBJECTS = \
311 testsuite/common/bits-gen.$(OBJEXT)
312 testsuite_common_bits_gen_LDADD = $(LDADD)
313 testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c
314 testsuite_common_bits32m0_OBJECTS = \
315 testsuite/common/bits32m0.$(OBJEXT)
316 testsuite_common_bits32m0_LDADD = $(LDADD)
317 testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c
318 testsuite_common_bits32m31_OBJECTS = \
319 testsuite/common/bits32m31.$(OBJEXT)
320 testsuite_common_bits32m31_LDADD = $(LDADD)
321 testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c
322 testsuite_common_bits64m0_OBJECTS = \
323 testsuite/common/bits64m0.$(OBJEXT)
324 testsuite_common_bits64m0_LDADD = $(LDADD)
325 testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c
326 testsuite_common_bits64m63_OBJECTS = \
327 testsuite/common/bits64m63.$(OBJEXT)
328 testsuite_common_bits64m63_LDADD = $(LDADD)
329 testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c
330 testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT)
331 testsuite_common_fpu_tst_LDADD = $(LDADD)
332 AM_V_P = $(am__v_P_@AM_V@)
333 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
334 am__v_P_0 = false
335 am__v_P_1 = :
336 AM_V_GEN = $(am__v_GEN_@AM_V@)
337 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
338 am__v_GEN_0 = @echo " GEN " $@;
339 am__v_GEN_1 =
340 AM_V_at = $(am__v_at_@AM_V@)
341 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
342 am__v_at_0 = @
343 am__v_at_1 =
344 DEFAULT_INCLUDES = -I.@am__isrc@
345 depcomp = $(SHELL) $(top_srcdir)/../depcomp
346 am__depfiles_maybe = depfiles
347 am__mv = mv -f
348 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
349 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
350 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
351 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
352 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
353 $(AM_CFLAGS) $(CFLAGS)
354 AM_V_CC = $(am__v_CC_@AM_V@)
355 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
356 am__v_CC_0 = @echo " CC " $@;
357 am__v_CC_1 =
358 CCLD = $(CC)
359 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
360 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
361 $(AM_LDFLAGS) $(LDFLAGS) -o $@
362 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
363 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
364 am__v_CCLD_0 = @echo " CCLD " $@;
365 am__v_CCLD_1 =
366 SOURCES = $(common_libcommon_a_SOURCES) $(igen_libigen_a_SOURCES) \
367 $(igen_filter_SOURCES) $(igen_gen_SOURCES) \
368 $(igen_igen_SOURCES) $(igen_ld_cache_SOURCES) \
369 $(igen_ld_decode_SOURCES) $(igen_ld_insn_SOURCES) \
370 $(igen_table_SOURCES) testsuite/common/alu-tst.c \
371 testsuite/common/bits-gen.c testsuite/common/bits32m0.c \
372 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
373 testsuite/common/bits64m63.c testsuite/common/fpu-tst.c
374 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
375 ctags-recursive dvi-recursive html-recursive info-recursive \
376 install-data-recursive install-dvi-recursive \
377 install-exec-recursive install-html-recursive \
378 install-info-recursive install-pdf-recursive \
379 install-ps-recursive install-recursive installcheck-recursive \
380 installdirs-recursive pdf-recursive ps-recursive \
381 tags-recursive uninstall-recursive
382 am__can_run_installinfo = \
383 case $$AM_UPDATE_INFO_DIR in \
384 n|no|NO) false;; \
385 *) (install-info --version) >/dev/null 2>&1;; \
386 esac
387 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
388 am__vpath_adj = case $$p in \
389 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
390 *) f=$$p;; \
391 esac;
392 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
393 am__install_max = 40
394 am__nobase_strip_setup = \
395 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
396 am__nobase_strip = \
397 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
398 am__nobase_list = $(am__nobase_strip_setup); \
399 for p in $$list; do echo "$$p $$p"; done | \
400 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
401 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
402 if (++n[$$2] == $(am__install_max)) \
403 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
404 END { for (dir in files) print dir, files[dir] }'
405 am__base_list = \
406 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
407 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
408 am__uninstall_files_from_dir = { \
409 test -z "$$files" \
410 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
411 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
412 $(am__cd) "$$dir" && rm -f $$files; }; \
413 }
414 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
415 HEADERS = $(pkginclude_HEADERS)
416 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
417 distclean-recursive maintainer-clean-recursive
418 am__recursive_targets = \
419 $(RECURSIVE_TARGETS) \
420 $(RECURSIVE_CLEAN_TARGETS) \
421 $(am__extra_recursive_targets)
422 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
423 cscope check recheck
424 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
425 $(LISP)config.h.in
426 # Read a list of newline-separated strings from the standard input,
427 # and print each of them once, without duplicates. Input order is
428 # *not* preserved.
429 am__uniquify_input = $(AWK) '\
430 BEGIN { nonempty = 0; } \
431 { items[$$0] = 1; nonempty = 1; } \
432 END { if (nonempty) { for (i in items) print i; }; } \
433 '
434 # Make sure the list of sources is unique. This is necessary because,
435 # e.g., the same source file might be shared among _SOURCES variables
436 # for different programs/libraries.
437 am__define_uniq_tagged_files = \
438 list='$(am__tagged_files)'; \
439 unique=`for i in $$list; do \
440 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
441 done | $(am__uniquify_input)`
442 ETAGS = etags
443 CTAGS = ctags
444 CSCOPE = cscope
445 DEJATOOL = $(PACKAGE)
446 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
447 EXPECT = expect
448 RUNTEST = runtest
449 am__tty_colors_dummy = \
450 mgn= red= grn= lgn= blu= brg= std=; \
451 am__color_tests=no
452 am__tty_colors = { \
453 $(am__tty_colors_dummy); \
454 if test "X$(AM_COLOR_TESTS)" = Xno; then \
455 am__color_tests=no; \
456 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
457 am__color_tests=yes; \
458 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
459 am__color_tests=yes; \
460 fi; \
461 if test $$am__color_tests = yes; then \
462 red='\e[0;31m'; \
463 grn='\e[0;32m'; \
464 lgn='\e[1;32m'; \
465 blu='\e[1;34m'; \
466 mgn='\e[0;35m'; \
467 brg='\e[1m'; \
468 std='\e[m'; \
469 fi; \
470 }
471 am__recheck_rx = ^[ ]*:recheck:[ ]*
472 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
473 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
474 # A command that, given a newline-separated list of test names on the
475 # standard input, print the name of the tests that are to be re-run
476 # upon "make recheck".
477 am__list_recheck_tests = $(AWK) '{ \
478 recheck = 1; \
479 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
480 { \
481 if (rc < 0) \
482 { \
483 if ((getline line2 < ($$0 ".log")) < 0) \
484 recheck = 0; \
485 break; \
486 } \
487 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
488 { \
489 recheck = 0; \
490 break; \
491 } \
492 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
493 { \
494 break; \
495 } \
496 }; \
497 if (recheck) \
498 print $$0; \
499 close ($$0 ".trs"); \
500 close ($$0 ".log"); \
501 }'
502 # A command that, given a newline-separated list of test names on the
503 # standard input, create the global log from their .trs and .log files.
504 am__create_global_log = $(AWK) ' \
505 function fatal(msg) \
506 { \
507 print "fatal: making $@: " msg | "cat >&2"; \
508 exit 1; \
509 } \
510 function rst_section(header) \
511 { \
512 print header; \
513 len = length(header); \
514 for (i = 1; i <= len; i = i + 1) \
515 printf "="; \
516 printf "\n\n"; \
517 } \
518 { \
519 copy_in_global_log = 1; \
520 global_test_result = "RUN"; \
521 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
522 { \
523 if (rc < 0) \
524 fatal("failed to read from " $$0 ".trs"); \
525 if (line ~ /$(am__global_test_result_rx)/) \
526 { \
527 sub("$(am__global_test_result_rx)", "", line); \
528 sub("[ ]*$$", "", line); \
529 global_test_result = line; \
530 } \
531 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
532 copy_in_global_log = 0; \
533 }; \
534 if (copy_in_global_log) \
535 { \
536 rst_section(global_test_result ": " $$0); \
537 while ((rc = (getline line < ($$0 ".log"))) != 0) \
538 { \
539 if (rc < 0) \
540 fatal("failed to read from " $$0 ".log"); \
541 print line; \
542 }; \
543 printf "\n"; \
544 }; \
545 close ($$0 ".trs"); \
546 close ($$0 ".log"); \
547 }'
548 # Restructured Text title.
549 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
550 # Solaris 10 'make', and several other traditional 'make' implementations,
551 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
552 # by disabling -e (using the XSI extension "set +e") if it's set.
553 am__sh_e_setup = case $$- in *e*) set +e;; esac
554 # Default flags passed to test drivers.
555 am__common_driver_flags = \
556 --color-tests "$$am__color_tests" \
557 --enable-hard-errors "$$am__enable_hard_errors" \
558 --expect-failure "$$am__expect_failure"
559 # To be inserted before the command running the test. Creates the
560 # directory for the log if needed. Stores in $dir the directory
561 # containing $f, in $tst the test, in $log the log. Executes the
562 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
563 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
564 # will run the test scripts (or their associated LOG_COMPILER, if
565 # thy have one).
566 am__check_pre = \
567 $(am__sh_e_setup); \
568 $(am__vpath_adj_setup) $(am__vpath_adj) \
569 $(am__tty_colors); \
570 srcdir=$(srcdir); export srcdir; \
571 case "$@" in \
572 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
573 *) am__odir=.;; \
574 esac; \
575 test "x$$am__odir" = x"." || test -d "$$am__odir" \
576 || $(MKDIR_P) "$$am__odir" || exit $$?; \
577 if test -f "./$$f"; then dir=./; \
578 elif test -f "$$f"; then dir=; \
579 else dir="$(srcdir)/"; fi; \
580 tst=$$dir$$f; log='$@'; \
581 if test -n '$(DISABLE_HARD_ERRORS)'; then \
582 am__enable_hard_errors=no; \
583 else \
584 am__enable_hard_errors=yes; \
585 fi; \
586 case " $(XFAIL_TESTS) " in \
587 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
588 am__expect_failure=yes;; \
589 *) \
590 am__expect_failure=no;; \
591 esac; \
592 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
593 # A shell command to get the names of the tests scripts with any registered
594 # extension removed (i.e., equivalently, the names of the test logs, with
595 # the '.log' extension removed). The result is saved in the shell variable
596 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
597 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
598 # since that might cause problem with VPATH rewrites for suffix-less tests.
599 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
600 am__set_TESTS_bases = \
601 bases='$(TEST_LOGS)'; \
602 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
603 bases=`echo $$bases`
604 RECHECK_LOGS = $(TEST_LOGS)
605 TEST_SUITE_LOG = test-suite.log
606 TEST_EXTENSIONS = @EXEEXT@ .test
607 LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
608 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
609 am__set_b = \
610 case '$@' in \
611 */*) \
612 case '$*' in \
613 */*) b='$*';; \
614 *) b=`echo '$@' | sed 's/\.log$$//'`; \
615 esac;; \
616 *) \
617 b='$*';; \
618 esac
619 am__test_logs1 = $(TESTS:=.log)
620 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
621 TEST_LOGS = $(am__test_logs2:.test.log=.log)
622 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
623 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
624 $(TEST_LOG_FLAGS)
625 DIST_SUBDIRS = $(SUBDIRS)
626 ACLOCAL = @ACLOCAL@
627 AMTAR = @AMTAR@
628 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
629 AR = @AR@
630 AR_FOR_BUILD = @AR_FOR_BUILD@
631 AUTOCONF = @AUTOCONF@
632 AUTOHEADER = @AUTOHEADER@
633 AUTOMAKE = @AUTOMAKE@
634 AWK = @AWK@
635 CATALOGS = @CATALOGS@
636 CATOBJEXT = @CATOBJEXT@
637 CC = @CC@
638 CCDEPMODE = @CCDEPMODE@
639 CC_FOR_BUILD = @CC_FOR_BUILD@
640 CFLAGS = @CFLAGS@
641 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
642 CGEN_MAINT = @CGEN_MAINT@
643 CPP = @CPP@
644 CPPFLAGS = @CPPFLAGS@
645 CYGPATH_W = @CYGPATH_W@
646 C_DIALECT = @C_DIALECT@
647 DATADIRNAME = @DATADIRNAME@
648 DEFS = @DEFS@
649 DEPDIR = @DEPDIR@
650 DSYMUTIL = @DSYMUTIL@
651 DTC = @DTC@
652 DUMPBIN = @DUMPBIN@
653 ECHO_C = @ECHO_C@
654 ECHO_N = @ECHO_N@
655 ECHO_T = @ECHO_T@
656 EGREP = @EGREP@
657 EXEEXT = @EXEEXT@
658 FGREP = @FGREP@
659 GENCAT = @GENCAT@
660 GMSGFMT = @GMSGFMT@
661 GREP = @GREP@
662 INCINTL = @INCINTL@
663 INSTALL = @INSTALL@
664 INSTALL_DATA = @INSTALL_DATA@
665 INSTALL_PROGRAM = @INSTALL_PROGRAM@
666 INSTALL_SCRIPT = @INSTALL_SCRIPT@
667 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
668 INSTOBJEXT = @INSTOBJEXT@
669 LD = @LD@
670 LDFLAGS = @LDFLAGS@
671 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
672 LIBINTL = @LIBINTL@
673 LIBINTL_DEP = @LIBINTL_DEP@
674 LIBOBJS = @LIBOBJS@
675 LIBS = @LIBS@
676 LIBTOOL = @LIBTOOL@
677 LIPO = @LIPO@
678 LN_S = @LN_S@
679 LTLIBOBJS = @LTLIBOBJS@
680 MAINT = @MAINT@
681 MAKEINFO = @MAKEINFO@
682 MKDIR_P = @MKDIR_P@
683 NM = @NM@
684 NMEDIT = @NMEDIT@
685 OBJDUMP = @OBJDUMP@
686 OBJEXT = @OBJEXT@
687 OTOOL = @OTOOL@
688 OTOOL64 = @OTOOL64@
689 PACKAGE = @PACKAGE@
690 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
691 PACKAGE_NAME = @PACKAGE_NAME@
692 PACKAGE_STRING = @PACKAGE_STRING@
693 PACKAGE_TARNAME = @PACKAGE_TARNAME@
694 PACKAGE_URL = @PACKAGE_URL@
695 PACKAGE_VERSION = @PACKAGE_VERSION@
696 PATH_SEPARATOR = @PATH_SEPARATOR@
697 PKGVERSION = @PKGVERSION@
698 POSUB = @POSUB@
699 RANLIB = @RANLIB@
700 RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@
701 REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
702 REPORT_BUGS_TO = @REPORT_BUGS_TO@
703 SED = @SED@
704 SET_MAKE = @SET_MAKE@
705 SHELL = @SHELL@
706 SIM_INLINE = @SIM_INLINE@
707 SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@
708 STRIP = @STRIP@
709 USE_NLS = @USE_NLS@
710 VERSION = @VERSION@
711 WARN_CFLAGS = @WARN_CFLAGS@
712 WERROR_CFLAGS = @WERROR_CFLAGS@
713 XGETTEXT = @XGETTEXT@
714 abs_builddir = @abs_builddir@
715 abs_srcdir = @abs_srcdir@
716 abs_top_builddir = @abs_top_builddir@
717 abs_top_srcdir = @abs_top_srcdir@
718 ac_ct_CC = @ac_ct_CC@
719 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
720 am__include = @am__include@
721 am__leading_dot = @am__leading_dot@
722 am__quote = @am__quote@
723 am__tar = @am__tar@
724 am__untar = @am__untar@
725 bindir = @bindir@
726 build = @build@
727 build_alias = @build_alias@
728 build_cpu = @build_cpu@
729 build_os = @build_os@
730 build_vendor = @build_vendor@
731 builddir = @builddir@
732 cgen = @cgen@
733 cgendir = @cgendir@
734 datadir = @datadir@
735 datarootdir = @datarootdir@
736 docdir = @docdir@
737 dvidir = @dvidir@
738 exec_prefix = @exec_prefix@
739 host = @host@
740 host_alias = @host_alias@
741 host_cpu = @host_cpu@
742 host_os = @host_os@
743 host_vendor = @host_vendor@
744 htmldir = @htmldir@
745 includedir = @includedir@
746 infodir = @infodir@
747 install_sh = @install_sh@
748 libdir = @libdir@
749 libexecdir = @libexecdir@
750 localedir = @localedir@
751 localstatedir = @localstatedir@
752 lt_cv_dlopen_libs = @lt_cv_dlopen_libs@
753 mandir = @mandir@
754 mkdir_p = @mkdir_p@
755 oldincludedir = @oldincludedir@
756 pdfdir = @pdfdir@
757 prefix = @prefix@
758 program_transform_name = @program_transform_name@
759 psdir = @psdir@
760 sbindir = @sbindir@
761 sharedstatedir = @sharedstatedir@
762 srcdir = @srcdir@
763 subdirs = @subdirs@
764 sysconfdir = @sysconfdir@
765 target = @target@
766 target_alias = @target_alias@
767 target_cpu = @target_cpu@
768 target_os = @target_os@
769 target_vendor = @target_vendor@
770 top_build_prefix = @top_build_prefix@
771 top_builddir = @top_builddir@
772 top_srcdir = @top_srcdir@
773 zlibdir = @zlibdir@
774 zlibinc = @zlibinc@
775 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects
776 ACLOCAL_AMFLAGS = -Im4 -I.. -I../config
777 srcroot = $(srcdir)/..
778 SUBDIRS = @subdirs@
779 AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET)
780
781 # NB: libcommon.a isn't used directly by ports. We need a target for common
782 # objects to be a part of, and ports use the individual objects directly.
783 noinst_LIBRARIES = common/libcommon.a $(am__append_2)
784 CLEANFILES = common/version.c common/version.c-stamp \
785 testsuite/common/bits-gen testsuite/common/bits32m0.c \
786 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
787 testsuite/common/bits64m63.c
788 DISTCLEANFILES =
789 MOSTLYCLEANFILES = core $(am__append_4) site-srcdir.exp testrun.log \
790 testrun.sum
791 AM_CFLAGS = $(WERROR_CFLAGS) $(WARN_CFLAGS)
792 AM_CPPFLAGS = -I$(srcroot)/include $(SIM_INLINE) -I$(srcdir)/common
793 COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD)
794 LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@
795
796 # Deps to add to the all-recursive target. These are built before descending
797 # into any subdirs.
798
799 # This makes sure common parts are available before building the arch-subdirs
800 # which will refer to these.
801 SIM_ALL_RECURSIVE_DEPS = common/libcommon.a $(am__append_1)
802 pkginclude_HEADERS = \
803 $(srcroot)/include/sim/callback.h \
804 $(srcroot)/include/sim/sim.h
805
806 common_libcommon_a_CPPFLAGS = \
807 $(AM_CPPFLAGS) \
808 -DSIM_COMMON_BUILD \
809 -I../bfd \
810 -I..
811
812 common_libcommon_a_SOURCES = \
813 common/portability.c \
814 common/sim-load.c \
815 common/version.c
816
817 @SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \
818 @SIM_ENABLE_IGEN_TRUE@ igen/table.c \
819 @SIM_ENABLE_IGEN_TRUE@ igen/lf.c \
820 @SIM_ENABLE_IGEN_TRUE@ igen/misc.c \
821 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \
822 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \
823 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \
824 @SIM_ENABLE_IGEN_TRUE@ igen/filter.c \
825 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \
826 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \
827 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \
828 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \
829 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \
830 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \
831 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \
832 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \
833 @SIM_ENABLE_IGEN_TRUE@ igen/gen.c
834
835 @SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c
836 @SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a
837 @SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES =
838 @SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a
839 @SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES =
840 @SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a
841 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES =
842 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a
843 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES =
844 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a
845 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES =
846 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a
847 @SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES =
848 @SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a
849 @SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \
850 @SIM_ENABLE_IGEN_TRUE@ igen/igen \
851 @SIM_ENABLE_IGEN_TRUE@ igen/filter \
852 @SIM_ENABLE_IGEN_TRUE@ igen/gen \
853 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \
854 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \
855 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \
856 @SIM_ENABLE_IGEN_TRUE@ igen/table
857
858
859 # Tweak the site.exp so it works with plain `runtest` from user.
860 EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp
861 testsuite_common_CPPFLAGS = \
862 -I$(srcdir)/common \
863 -I$(srcroot)/include \
864 -I../bfd
865
866 all: config.h
867 $(MAKE) $(AM_MAKEFLAGS) all-recursive
868
869 .SUFFIXES:
870 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
871 am--refresh: Makefile
872 @:
873 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps)
874 @for dep in $?; do \
875 case '$(am__configure_deps)' in \
876 *$$dep*) \
877 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
878 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
879 && exit 0; \
880 exit 1;; \
881 esac; \
882 done; \
883 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
884 $(am__cd) $(top_srcdir) && \
885 $(AUTOMAKE) --foreign Makefile
886 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
887 @case '$?' in \
888 *config.status*) \
889 echo ' $(SHELL) ./config.status'; \
890 $(SHELL) ./config.status;; \
891 *) \
892 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
893 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
894 esac;
895 $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty):
896
897 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
898 $(SHELL) ./config.status --recheck
899
900 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
901 $(am__cd) $(srcdir) && $(AUTOCONF)
902 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
903 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
904 $(am__aclocal_m4_deps):
905
906 config.h: stamp-h1
907 @test -f $@ || rm -f stamp-h1
908 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
909
910 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
911 @rm -f stamp-h1
912 cd $(top_builddir) && $(SHELL) ./config.status config.h
913 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
914 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
915 rm -f stamp-h1
916 touch $@
917
918 distclean-hdr:
919 -rm -f config.h stamp-h1
920 arch-subdir.mk: $(top_builddir)/config.status $(srcdir)/arch-subdir.mk.in
921 cd $(top_builddir) && $(SHELL) ./config.status $@
922
923 clean-noinstLIBRARIES:
924 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
925 common/$(am__dirstamp):
926 @$(MKDIR_P) common
927 @: > common/$(am__dirstamp)
928 common/$(DEPDIR)/$(am__dirstamp):
929 @$(MKDIR_P) common/$(DEPDIR)
930 @: > common/$(DEPDIR)/$(am__dirstamp)
931 common/common_libcommon_a-portability.$(OBJEXT): \
932 common/$(am__dirstamp) common/$(DEPDIR)/$(am__dirstamp)
933 common/common_libcommon_a-sim-load.$(OBJEXT): common/$(am__dirstamp) \
934 common/$(DEPDIR)/$(am__dirstamp)
935 common/common_libcommon_a-version.$(OBJEXT): common/$(am__dirstamp) \
936 common/$(DEPDIR)/$(am__dirstamp)
937
938 common/libcommon.a: $(common_libcommon_a_OBJECTS) $(common_libcommon_a_DEPENDENCIES) $(EXTRA_common_libcommon_a_DEPENDENCIES) common/$(am__dirstamp)
939 $(AM_V_at)-rm -f common/libcommon.a
940 $(AM_V_AR)$(common_libcommon_a_AR) common/libcommon.a $(common_libcommon_a_OBJECTS) $(common_libcommon_a_LIBADD)
941 $(AM_V_at)$(RANLIB) common/libcommon.a
942 igen/$(am__dirstamp):
943 @$(MKDIR_P) igen
944 @: > igen/$(am__dirstamp)
945 igen/$(DEPDIR)/$(am__dirstamp):
946 @$(MKDIR_P) igen/$(DEPDIR)
947 @: > igen/$(DEPDIR)/$(am__dirstamp)
948 igen/table.$(OBJEXT): igen/$(am__dirstamp) \
949 igen/$(DEPDIR)/$(am__dirstamp)
950 igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp)
951 igen/misc.$(OBJEXT): igen/$(am__dirstamp) \
952 igen/$(DEPDIR)/$(am__dirstamp)
953 igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \
954 igen/$(DEPDIR)/$(am__dirstamp)
955 igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \
956 igen/$(DEPDIR)/$(am__dirstamp)
957 igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \
958 igen/$(DEPDIR)/$(am__dirstamp)
959 igen/filter.$(OBJEXT): igen/$(am__dirstamp) \
960 igen/$(DEPDIR)/$(am__dirstamp)
961 igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \
962 igen/$(DEPDIR)/$(am__dirstamp)
963 igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \
964 igen/$(DEPDIR)/$(am__dirstamp)
965 igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \
966 igen/$(DEPDIR)/$(am__dirstamp)
967 igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \
968 igen/$(DEPDIR)/$(am__dirstamp)
969 igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \
970 igen/$(DEPDIR)/$(am__dirstamp)
971 igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \
972 igen/$(DEPDIR)/$(am__dirstamp)
973 igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \
974 igen/$(DEPDIR)/$(am__dirstamp)
975 igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \
976 igen/$(DEPDIR)/$(am__dirstamp)
977 igen/gen.$(OBJEXT): igen/$(am__dirstamp) \
978 igen/$(DEPDIR)/$(am__dirstamp)
979
980 @SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
981 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a
982 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
983 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a
984
985 clean-checkPROGRAMS:
986 @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
987 echo " rm -f" $$list; \
988 rm -f $$list || exit $$?; \
989 test -n "$(EXEEXT)" || exit 0; \
990 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
991 echo " rm -f" $$list; \
992 rm -f $$list
993
994 igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp)
995 @rm -f igen/filter$(EXEEXT)
996 $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS)
997
998 igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp)
999 @rm -f igen/gen$(EXEEXT)
1000 $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS)
1001 igen/igen.$(OBJEXT): igen/$(am__dirstamp) \
1002 igen/$(DEPDIR)/$(am__dirstamp)
1003
1004 @SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1005 @SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT)
1006 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS)
1007
1008 igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp)
1009 @rm -f igen/ld-cache$(EXEEXT)
1010 $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS)
1011
1012 igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp)
1013 @rm -f igen/ld-decode$(EXEEXT)
1014 $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS)
1015
1016 igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp)
1017 @rm -f igen/ld-insn$(EXEEXT)
1018 $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS)
1019
1020 igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp)
1021 @rm -f igen/table$(EXEEXT)
1022 $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS)
1023 testsuite/common/$(am__dirstamp):
1024 @$(MKDIR_P) testsuite/common
1025 @: > testsuite/common/$(am__dirstamp)
1026 testsuite/common/$(DEPDIR)/$(am__dirstamp):
1027 @$(MKDIR_P) testsuite/common/$(DEPDIR)
1028 @: > testsuite/common/$(DEPDIR)/$(am__dirstamp)
1029 testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1030 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1031 testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1032 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1033 testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1034 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1035 testsuite/common/bits32m31.$(OBJEXT): \
1036 testsuite/common/$(am__dirstamp) \
1037 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1038 testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1039 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1040 testsuite/common/bits64m63.$(OBJEXT): \
1041 testsuite/common/$(am__dirstamp) \
1042 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1043 testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1044 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1045
1046 mostlyclean-compile:
1047 -rm -f *.$(OBJEXT)
1048 -rm -f common/*.$(OBJEXT)
1049 -rm -f igen/*.$(OBJEXT)
1050 -rm -f testsuite/common/*.$(OBJEXT)
1051
1052 distclean-compile:
1053 -rm -f *.tab.c
1054
1055 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-portability.Po@am__quote@
1056 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-sim-load.Po@am__quote@
1057 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-version.Po@am__quote@
1058 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@
1059 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@
1060 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@
1061 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@
1062 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@
1063 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@
1064 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@
1065 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@
1066 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@
1067 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@
1068 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@
1069 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@
1070 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@
1071 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@
1072 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@
1073 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@
1074 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@
1075 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@
1076 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@
1077 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@
1078 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@
1079 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@
1080 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@
1081 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@
1082
1083 .c.o:
1084 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1085 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1086 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1087 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1088 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1089 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1090
1091 .c.obj:
1092 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1093 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1094 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1095 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1096 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1097 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1098
1099 .c.lo:
1100 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1101 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1102 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
1103 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1104 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1105 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1106
1107 common/common_libcommon_a-portability.o: common/portability.c
1108 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1109 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1110 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.o' libtool=no @AMDEPBACKSLASH@
1111 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1112 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1113
1114 common/common_libcommon_a-portability.obj: common/portability.c
1115 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1116 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1117 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.obj' libtool=no @AMDEPBACKSLASH@
1118 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1119 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1120
1121 common/common_libcommon_a-sim-load.o: common/sim-load.c
1122 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1123 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1124 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.o' libtool=no @AMDEPBACKSLASH@
1125 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1126 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1127
1128 common/common_libcommon_a-sim-load.obj: common/sim-load.c
1129 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1130 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1131 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.obj' libtool=no @AMDEPBACKSLASH@
1132 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1133 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1134
1135 common/common_libcommon_a-version.o: common/version.c
1136 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1137 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1138 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.o' libtool=no @AMDEPBACKSLASH@
1139 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1140 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1141
1142 common/common_libcommon_a-version.obj: common/version.c
1143 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1144 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1145 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.obj' libtool=no @AMDEPBACKSLASH@
1146 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1147 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1148
1149 mostlyclean-libtool:
1150 -rm -f *.lo
1151
1152 clean-libtool:
1153 -rm -rf .libs _libs
1154 -rm -rf igen/.libs igen/_libs
1155 -rm -rf testsuite/common/.libs testsuite/common/_libs
1156
1157 distclean-libtool:
1158 -rm -f libtool config.lt
1159 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
1160 @$(NORMAL_INSTALL)
1161 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1162 if test -n "$$list"; then \
1163 echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
1164 $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
1165 fi; \
1166 for p in $$list; do \
1167 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1168 echo "$$d$$p"; \
1169 done | $(am__base_list) | \
1170 while read files; do \
1171 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
1172 $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
1173 done
1174
1175 uninstall-pkgincludeHEADERS:
1176 @$(NORMAL_UNINSTALL)
1177 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1178 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1179 dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
1180
1181 # This directory's subdirectories are mostly independent; you can cd
1182 # into them and run 'make' without going through this Makefile.
1183 # To change the values of 'make' variables: instead of editing Makefiles,
1184 # (1) if the variable is set in 'config.status', edit 'config.status'
1185 # (which will cause the Makefiles to be regenerated when you run 'make');
1186 # (2) otherwise, pass the desired values on the 'make' command line.
1187 $(am__recursive_targets):
1188 @fail=; \
1189 if $(am__make_keepgoing); then \
1190 failcom='fail=yes'; \
1191 else \
1192 failcom='exit 1'; \
1193 fi; \
1194 dot_seen=no; \
1195 target=`echo $@ | sed s/-recursive//`; \
1196 case "$@" in \
1197 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1198 *) list='$(SUBDIRS)' ;; \
1199 esac; \
1200 for subdir in $$list; do \
1201 echo "Making $$target in $$subdir"; \
1202 if test "$$subdir" = "."; then \
1203 dot_seen=yes; \
1204 local_target="$$target-am"; \
1205 else \
1206 local_target="$$target"; \
1207 fi; \
1208 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1209 || eval $$failcom; \
1210 done; \
1211 if test "$$dot_seen" = "no"; then \
1212 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1213 fi; test -z "$$fail"
1214
1215 ID: $(am__tagged_files)
1216 $(am__define_uniq_tagged_files); mkid -fID $$unique
1217 tags: tags-recursive
1218 TAGS: tags
1219
1220 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1221 set x; \
1222 here=`pwd`; \
1223 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1224 include_option=--etags-include; \
1225 empty_fix=.; \
1226 else \
1227 include_option=--include; \
1228 empty_fix=; \
1229 fi; \
1230 list='$(SUBDIRS)'; for subdir in $$list; do \
1231 if test "$$subdir" = .; then :; else \
1232 test ! -f $$subdir/TAGS || \
1233 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1234 fi; \
1235 done; \
1236 $(am__define_uniq_tagged_files); \
1237 shift; \
1238 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1239 test -n "$$unique" || unique=$$empty_fix; \
1240 if test $$# -gt 0; then \
1241 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1242 "$$@" $$unique; \
1243 else \
1244 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1245 $$unique; \
1246 fi; \
1247 fi
1248 ctags: ctags-recursive
1249
1250 CTAGS: ctags
1251 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1252 $(am__define_uniq_tagged_files); \
1253 test -z "$(CTAGS_ARGS)$$unique" \
1254 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1255 $$unique
1256
1257 GTAGS:
1258 here=`$(am__cd) $(top_builddir) && pwd` \
1259 && $(am__cd) $(top_srcdir) \
1260 && gtags -i $(GTAGS_ARGS) "$$here"
1261 cscope: cscope.files
1262 test ! -s cscope.files \
1263 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1264 clean-cscope:
1265 -rm -f cscope.files
1266 cscope.files: clean-cscope cscopelist
1267 cscopelist: cscopelist-recursive
1268
1269 cscopelist-am: $(am__tagged_files)
1270 list='$(am__tagged_files)'; \
1271 case "$(srcdir)" in \
1272 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1273 *) sdir=$(subdir)/$(srcdir) ;; \
1274 esac; \
1275 for i in $$list; do \
1276 if test -f "$$i"; then \
1277 echo "$(subdir)/$$i"; \
1278 else \
1279 echo "$$sdir/$$i"; \
1280 fi; \
1281 done >> $(top_builddir)/cscope.files
1282
1283 distclean-tags:
1284 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1285 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1286 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1287 @echo 'Making a new site.exp file ...'
1288 @echo '## these variables are automatically generated by make ##' >site.tmp
1289 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1290 @echo '# edit the last section' >>site.tmp
1291 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1292 @echo "set objdir `pwd`" >>site.tmp
1293 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1294 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1295 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1296 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1297 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1298 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1299 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1300 echo "## Begin content included from file $$f. Do not modify. ##" \
1301 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1302 && echo "## End content included from file $$f. ##" \
1303 || exit 1; \
1304 done >> site.tmp
1305 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1306 @if test -f site.exp; then \
1307 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1308 fi
1309 @-rm -f site.bak
1310 @test ! -f site.exp || mv site.exp site.bak
1311 @mv site.tmp site.exp
1312
1313 distclean-DEJAGNU:
1314 -rm -f site.exp site.bak
1315 -l='$(DEJATOOL)'; for tool in $$l; do \
1316 rm -f $$tool.sum $$tool.log; \
1317 done
1318
1319 # Recover from deleted '.trs' file; this should ensure that
1320 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1321 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1322 # to avoid problems with "make -n".
1323 .log.trs:
1324 rm -f $< $@
1325 $(MAKE) $(AM_MAKEFLAGS) $<
1326
1327 # Leading 'am--fnord' is there to ensure the list of targets does not
1328 # expand to empty, as could happen e.g. with make check TESTS=''.
1329 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1330 am--force-recheck:
1331 @:
1332
1333 $(TEST_SUITE_LOG): $(TEST_LOGS)
1334 @$(am__set_TESTS_bases); \
1335 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1336 redo_bases=`for i in $$bases; do \
1337 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1338 done`; \
1339 if test -n "$$redo_bases"; then \
1340 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1341 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1342 if $(am__make_dryrun); then :; else \
1343 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1344 fi; \
1345 fi; \
1346 if test -n "$$am__remaking_logs"; then \
1347 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1348 "recursion detected" >&2; \
1349 elif test -n "$$redo_logs"; then \
1350 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1351 fi; \
1352 if $(am__make_dryrun); then :; else \
1353 st=0; \
1354 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1355 for i in $$redo_bases; do \
1356 test -f $$i.trs && test -r $$i.trs \
1357 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1358 test -f $$i.log && test -r $$i.log \
1359 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1360 done; \
1361 test $$st -eq 0 || exit 1; \
1362 fi
1363 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1364 ws='[ ]'; \
1365 results=`for b in $$bases; do echo $$b.trs; done`; \
1366 test -n "$$results" || results=/dev/null; \
1367 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1368 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1369 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1370 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1371 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1372 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1373 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1374 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1375 success=true; \
1376 else \
1377 success=false; \
1378 fi; \
1379 br='==================='; br=$$br$$br$$br$$br; \
1380 result_count () \
1381 { \
1382 if test x"$$1" = x"--maybe-color"; then \
1383 maybe_colorize=yes; \
1384 elif test x"$$1" = x"--no-color"; then \
1385 maybe_colorize=no; \
1386 else \
1387 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1388 fi; \
1389 shift; \
1390 desc=$$1 count=$$2; \
1391 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1392 color_start=$$3 color_end=$$std; \
1393 else \
1394 color_start= color_end=; \
1395 fi; \
1396 echo "$${color_start}# $$desc $$count$${color_end}"; \
1397 }; \
1398 create_testsuite_report () \
1399 { \
1400 result_count $$1 "TOTAL:" $$all "$$brg"; \
1401 result_count $$1 "PASS: " $$pass "$$grn"; \
1402 result_count $$1 "SKIP: " $$skip "$$blu"; \
1403 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1404 result_count $$1 "FAIL: " $$fail "$$red"; \
1405 result_count $$1 "XPASS:" $$xpass "$$red"; \
1406 result_count $$1 "ERROR:" $$error "$$mgn"; \
1407 }; \
1408 { \
1409 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1410 $(am__rst_title); \
1411 create_testsuite_report --no-color; \
1412 echo; \
1413 echo ".. contents:: :depth: 2"; \
1414 echo; \
1415 for b in $$bases; do echo $$b; done \
1416 | $(am__create_global_log); \
1417 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1418 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1419 if $$success; then \
1420 col="$$grn"; \
1421 else \
1422 col="$$red"; \
1423 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1424 fi; \
1425 echo "$${col}$$br$${std}"; \
1426 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1427 echo "$${col}$$br$${std}"; \
1428 create_testsuite_report --maybe-color; \
1429 echo "$$col$$br$$std"; \
1430 if $$success; then :; else \
1431 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1432 if test -n "$(PACKAGE_BUGREPORT)"; then \
1433 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1434 fi; \
1435 echo "$$col$$br$$std"; \
1436 fi; \
1437 $$success || exit 1
1438
1439 check-TESTS:
1440 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1441 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1442 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1443 @set +e; $(am__set_TESTS_bases); \
1444 log_list=`for i in $$bases; do echo $$i.log; done`; \
1445 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1446 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1447 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1448 exit $$?;
1449 recheck: all $(check_PROGRAMS)
1450 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1451 @set +e; $(am__set_TESTS_bases); \
1452 bases=`for i in $$bases; do echo $$i; done \
1453 | $(am__list_recheck_tests)` || exit 1; \
1454 log_list=`for i in $$bases; do echo $$i.log; done`; \
1455 log_list=`echo $$log_list`; \
1456 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1457 am__force_recheck=am--force-recheck \
1458 TEST_LOGS="$$log_list"; \
1459 exit $$?
1460 testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT)
1461 @p='testsuite/common/bits32m0$(EXEEXT)'; \
1462 b='testsuite/common/bits32m0'; \
1463 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1464 --log-file $$b.log --trs-file $$b.trs \
1465 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1466 "$$tst" $(AM_TESTS_FD_REDIRECT)
1467 testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT)
1468 @p='testsuite/common/bits32m31$(EXEEXT)'; \
1469 b='testsuite/common/bits32m31'; \
1470 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1471 --log-file $$b.log --trs-file $$b.trs \
1472 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1473 "$$tst" $(AM_TESTS_FD_REDIRECT)
1474 testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT)
1475 @p='testsuite/common/bits64m0$(EXEEXT)'; \
1476 b='testsuite/common/bits64m0'; \
1477 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1478 --log-file $$b.log --trs-file $$b.trs \
1479 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1480 "$$tst" $(AM_TESTS_FD_REDIRECT)
1481 testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT)
1482 @p='testsuite/common/bits64m63$(EXEEXT)'; \
1483 b='testsuite/common/bits64m63'; \
1484 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1485 --log-file $$b.log --trs-file $$b.trs \
1486 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1487 "$$tst" $(AM_TESTS_FD_REDIRECT)
1488 testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT)
1489 @p='testsuite/common/alu-tst$(EXEEXT)'; \
1490 b='testsuite/common/alu-tst'; \
1491 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1492 --log-file $$b.log --trs-file $$b.trs \
1493 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1494 "$$tst" $(AM_TESTS_FD_REDIRECT)
1495 .test.log:
1496 @p='$<'; \
1497 $(am__set_b); \
1498 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1499 --log-file $$b.log --trs-file $$b.trs \
1500 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1501 "$$tst" $(AM_TESTS_FD_REDIRECT)
1502 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1503 @am__EXEEXT_TRUE@ @p='$<'; \
1504 @am__EXEEXT_TRUE@ $(am__set_b); \
1505 @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1506 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1507 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1508 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1509 check-am: all-am
1510 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1511 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS
1512 check: check-recursive
1513 all-am: Makefile $(LIBRARIES) $(HEADERS) config.h
1514 installdirs: installdirs-recursive
1515 installdirs-am:
1516 for dir in "$(DESTDIR)$(pkgincludedir)"; do \
1517 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1518 done
1519 install: install-recursive
1520 install-exec: install-exec-recursive
1521 install-data: install-data-recursive
1522 uninstall: uninstall-recursive
1523
1524 install-am: all-am
1525 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1526
1527 installcheck: installcheck-recursive
1528 install-strip:
1529 if test -z '$(STRIP)'; then \
1530 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1531 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1532 install; \
1533 else \
1534 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1535 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1536 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1537 fi
1538 mostlyclean-generic:
1539 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1540 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1541 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1542 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1543
1544 clean-generic:
1545 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1546
1547 distclean-generic:
1548 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1549 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1550 -rm -f common/$(DEPDIR)/$(am__dirstamp)
1551 -rm -f common/$(am__dirstamp)
1552 -rm -f igen/$(DEPDIR)/$(am__dirstamp)
1553 -rm -f igen/$(am__dirstamp)
1554 -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp)
1555 -rm -f testsuite/common/$(am__dirstamp)
1556 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1557
1558 maintainer-clean-generic:
1559 @echo "This command is intended for maintainers to use"
1560 @echo "it deletes files that may require special tools to rebuild."
1561 clean: clean-recursive
1562
1563 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1564 clean-noinstLIBRARIES mostlyclean-am
1565
1566 distclean: distclean-recursive
1567 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1568 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1569 -rm -f Makefile
1570 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1571 distclean-generic distclean-hdr distclean-libtool \
1572 distclean-tags
1573
1574 dvi: dvi-recursive
1575
1576 dvi-am:
1577
1578 html: html-recursive
1579
1580 html-am:
1581
1582 info: info-recursive
1583
1584 info-am:
1585
1586 install-data-am: install-pkgincludeHEADERS
1587
1588 install-dvi: install-dvi-recursive
1589
1590 install-dvi-am:
1591
1592 install-exec-am:
1593
1594 install-html: install-html-recursive
1595
1596 install-html-am:
1597
1598 install-info: install-info-recursive
1599
1600 install-info-am:
1601
1602 install-man:
1603
1604 install-pdf: install-pdf-recursive
1605
1606 install-pdf-am:
1607
1608 install-ps: install-ps-recursive
1609
1610 install-ps-am:
1611
1612 installcheck-am:
1613
1614 maintainer-clean: maintainer-clean-recursive
1615 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1616 -rm -rf $(top_srcdir)/autom4te.cache
1617 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1618 -rm -f Makefile
1619 maintainer-clean-am: distclean-am maintainer-clean-generic
1620
1621 mostlyclean: mostlyclean-recursive
1622
1623 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1624 mostlyclean-libtool
1625
1626 pdf: pdf-recursive
1627
1628 pdf-am:
1629
1630 ps: ps-recursive
1631
1632 ps-am:
1633
1634 uninstall-am: uninstall-pkgincludeHEADERS
1635
1636 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
1637
1638 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1639 am--refresh check check-DEJAGNU check-TESTS check-am clean \
1640 clean-checkPROGRAMS clean-cscope clean-generic clean-libtool \
1641 clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \
1642 distclean distclean-DEJAGNU distclean-compile \
1643 distclean-generic distclean-hdr distclean-libtool \
1644 distclean-tags dvi dvi-am html html-am info info-am install \
1645 install-am install-data install-data-am install-dvi \
1646 install-dvi-am install-exec install-exec-am install-html \
1647 install-html-am install-info install-info-am install-man \
1648 install-pdf install-pdf-am install-pkgincludeHEADERS \
1649 install-ps install-ps-am install-strip installcheck \
1650 installcheck-am installdirs installdirs-am maintainer-clean \
1651 maintainer-clean-generic mostlyclean mostlyclean-compile \
1652 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1653 recheck tags tags-am uninstall uninstall-am \
1654 uninstall-pkgincludeHEADERS
1655
1656 .PRECIOUS: Makefile
1657
1658
1659 # Generate nltvals.def for newlib/libgloss using devo and build tree.
1660 # This file is shipped with distributions so we build in the source dir.
1661 # Use `make nltvals' to rebuild.
1662 # Note: If gdb releases begin to contain target header files (not a good idea,
1663 # but if they did ...), nltvals.def coud be generated at build time.
1664 # An alternative is to slurp in the tables at runtime.
1665 .PHONY: nltvals
1666 nltvals:
1667 $(abs_srcdir)/common/gennltvals.py --cpp "$(CPP)" --output nltvals.def --srcroot $(srcroot)
1668 $(SHELL) $(srcroot)/move-if-change nltvals.def $(abs_srcdir)/common/nltvals.def
1669
1670 common/version.c: common/version.c-stamp ; @true
1671 common/version.c-stamp: $(srcroot)/gdb/version.in $(srcroot)/bfd/version.h $(srcdir)/common/create-version.sh
1672 $(AM_V_GEN)$(SHELL) $(srcdir)/common/create-version.sh $(srcroot)/gdb $@.tmp
1673 $(AM_V_at)$(SHELL) $(srcroot)/move-if-change $@.tmp $(@:-stamp=)
1674 $(AM_V_at)touch $@
1675
1676 # Alias for developers.
1677 @SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT)
1678
1679 # These rules are copied from automake, but tweaked to use FOR_BUILD variables.
1680 @SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1681 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@
1682 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1683 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@
1684
1685 @SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1686 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD)
1687
1688 # igen is a build-time only tool. Override the default rules for it.
1689 @SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c
1690 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@
1691
1692 # Build some of the files in standalone mode for developers of igen itself.
1693 @SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c
1694 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@
1695
1696 site-srcdir.exp: Makefile
1697 echo "set srcdir \"$(srcdir)/testsuite\"" > $@
1698
1699 check-DEJAGNU: site.exp
1700 LC_ALL=C; export LC_ALL; \
1701 EXPECT=${EXPECT} ; export EXPECT ; \
1702 runtest=$(RUNTEST); \
1703 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
1704 $$runtest $(RUNTESTFLAGS); \
1705 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
1706 fi
1707
1708 # These tests are build-time only tools. Override the default rules for them.
1709 testsuite/common/%.o: testsuite/common/%.c
1710 $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@
1711
1712 testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1713 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD)
1714
1715 testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1716 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD)
1717
1718 testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1719 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD)
1720
1721 testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1722 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD)
1723
1724 testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1725 $(AM_V_GEN)$< 32 0 big > $@.tmp
1726 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1727 $(AM_V_at)mv $@.tmp $@
1728
1729 testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1730 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD)
1731
1732 testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1733 $(AM_V_GEN)$< 32 31 little > $@.tmp
1734 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1735 $(AM_V_at)mv $@.tmp $@
1736
1737 testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1738 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD)
1739
1740 testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1741 $(AM_V_GEN)$< 64 0 big > $@.tmp
1742 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1743 $(AM_V_at)mv $@.tmp $@
1744
1745 testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1746 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD)
1747
1748 testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1749 $(AM_V_GEN)$< 64 63 little > $@.tmp
1750 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1751 $(AM_V_at)mv $@.tmp $@
1752
1753 all-recursive: $(SIM_ALL_RECURSIVE_DEPS)
1754
1755 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1756 # Otherwise a system limit (for SysV at least) may be exceeded.
1757 .NOEXPORT: